{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "_layout.html.twig" %}
{% block title %}{{ organization.name }}{% endblock %}
{% set route = app.request.get('_route') %}

{% block content %}
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>{{ organization.name }}</h1>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-3">
                <!-- Profile Image -->
                <div class="box">
                    <div class="box-body box-profile">

                        {% if organization.filePath  %}
                            <img class="profile-user-img img-responsive img-circle m-b-10" src="{{ asset("uploads/organization/" ~ organization.filePath ) | imagine_filter('square100')  }}" title="Logo de la structure" alt="Logo de la structure">
                        {% endif %}

                        <ul class="list-group list-group-unbordered no-margin">
                            <li class="list-group-item">
                                <b><a href="{{ path('user.index', {user_filter: {organization: organization.id}}) }}">Utilisateurs</a></b> <span class="pull-right">{{ organization.users | length }}</span>
                            </li>
                            <li class="list-group-item">
                                <b><a href="{{ path('flux.production', {production_flux_filter: {organization: organization.id} }) }}">Flux</a></b> <span class="pull-right">{{ organization.flux.count }}</span>
                            </li>
                            <li class="list-group-item">
                                <b>Création</b> <span class="pull-right">{{ organization.createdAt | date('d/m/Y') }}</span>
                            </li>
                        </ul>

                    </div>
                    <!-- /.box-body -->
                </div>
                <!-- /.box -->
            </div>
            <!-- /.col -->
            <div class="col-md-9">
                <div class="nav-tabs-custom">
                    <ul class="nav nav-tabs">
                        <li class="{{ 'organization.edit' in route ? 'active' }}"><a href="{{ path('organization.edit', {id: organization.id}) }}">Structure</a></li>
                        <li class="{{ 'organization.administrate' in route ? 'active' }}"><a href="{{ path('organization.administrate', {id: organization.id}) }}">Administration</a></li>
                    </ul>
                    <div class="tab-content box box-widget no-padding">
                        <!-- /.tab-pane -->
                        <div class="active tab-pane">
                            {% block subcontent %}{% endblock %}
                        </div>
                        <!-- /.tab-pane -->
                    </div>
                    <!-- /.tab-content -->
                </div>
                <!-- /.nav-tabs-custom -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->

    </section>
    <!-- /.content -->
{% endblock %}
